@()

<div class="modal-header modal-panel create-meeting-room-header">
    <div class="modal-pre-title">{{'MEETING_ROOM' | translate}}</div>
    <div class="modal-title">{{ctrl.roomId ? 'MEETING_ROOM_UPDATE' : 'MEETING_ROOM_CREATE' | translate}}
        <button type="button" class="close" ng-click="ctrl.dismiss()"><i class="fa fa-times"></i></button>
    </div>

    <div class="modal-actions">
        <div class="delete" ng-click="ctrl.confirmDelete()" title="{{'MEETING_ROOM_DELETE' | translate}}"
            ng-if="ctrl.roomId">
            <a class="fa-stack" href="">
                <i class="fa fa-circle fa-stack-2x background"></i>
                <i class="fa fa-trash fa-stack-1x foreground"></i>
            </a>
        </div>
        <div class="favorites" ng-click="ctrl.favorite = !ctrl.favorite" ng-class="{'active': ctrl.favorite}"
            title="{{'MEETING_ROOM_FAVORITE' | translate}}">
            <a class="fa-stack" href="">
                <i class="fa fa-circle fa-stack-2x background"></i>
                <i class="fa fa-star fa-stack-1x foreground"></i>
            </a>
        </div>
    </div>
</div>

<div class="modal-body modal-panel create-meeting-room-body">
    <form name="mrForm" class="form-group" novalidate>
        <div class="personalcontact-row-wrapper">
            <md-input-container>
                <label class="intput-label">{{'MEETING_ROOM_DISPLAYNAME' | translate}}</label>
                <input ng-model="ctrl.form.displayName" name="displayName" type="text">
            </md-input-container>
        </div>
        <div class="personalcontact-row-wrapper">
            <md-input-container>
                <label class="intput-label">{{'MEETING_ROOM_PIN' | translate}}</label>
                <input ng-model="ctrl.form.userPin" name="userPin" ng-pattern="ctrl.numberPattern" type="text">
            </md-input-container>
        </div>
        <div ng-if="ctrl.currentMeetingroom.number" class="meetingroom-call-number">
            <md-input-container>
                <label class="intput-label">{{'MEETING_ROOM_CALL_NUMBER' | translate}}</label>
                <input ng-model="ctrl.currentMeetingroom.number" name="number" disabled type="text">
            </md-input-container>
        </div>
    </form>
</div>

<div class="container-fluid modal-panel hidden-with-space"
    ng-show="ctrl.ajaxRequest.ongoing || !ctrl.isValidForm()">
    <div class="alert alert-info modal-panel no-margin-top" ng-hide="ctrl.ajaxRequest.ongoing">
        <b>{{'MEETING_ROOM_WARNING' | translate}}</b> {{'MEETING_ERROR_MISSING_FIELDS' | translate}}
    </div>
</div>
<div class="container-fluid modal-panel hidden-with-space"
    ng-show="mrForm.userPin.$error.pattern">
    <div class="alert alert-info modal-panel no-margin-top" ng-hide="ctrl.ajaxRequest.ongoing">
        <b>{{'MEETING_ROOM_WARNING' | translate}}</b> {{'MEETING_ERROR_PIN' | translate}}
    </div>
</div>
<div class="container-fluid modal-panel hidden-with-space">
    <div class="alert alert-danger modal-panel no-margin-top" ng-if="ctrl.ajaxRequest.error">
        <b>{{'MEETING_ROOM_ERROR' | translate}}</b> {{'MEETING_ROOM_ERROR_GENERIC' | translate}}
    </div>
</div>
<div class="modal-footer">
    <button class="btn btn-primary pull-right" ng-click="ctrl.saveForm()"
        ng-disabled="ctrl.ajaxRequest.ongoing || !ctrl.isValidForm() || mrForm.userPin.$error.pattern">
        {{'MEETING_ROOM_SAVE' | translate}} <i ng-show="ctrl.ajaxRequest.ongoing" class="fa fa-spinner fa-pulse fa-fw">&nbsp;</i>
    </button>
</div>